
<div class="globals_attributes_area options_group">

    <p class="form-field customer_email_field" data-order="<?php echo $i; ?>">
        <label>Globals Attributes</label>
        <span class="wrap" >
            <select   class="wc-enhanced-select attribute_values  globals_attr" data-container-css-class="globals_attr_select"
                      multiple="multiple" data-placeholder="<?php esc_attr_e( 'Custom product attribute', 'woocommerce' ); ?>"
                      style="width: 50%;margin-right: 3%"
                      name="custom_global_attribute[]" id="custom_global_attribute" >

                <?php

                $attribute_ids = get_post_meta( $post->ID, 'custom_global_attribute', true ) ;

                if ( $globals ) {
                    foreach ( $globals as $tax ) {
                        $selected = '';
                        $tax_name = wc_attribute_taxonomy_name($tax->attribute_name);
                        if(is_array($attribute_ids) && in_array($tax_name, $attribute_ids)) {
                            $selected = 'selected';
                        }

                        echo '<option '.$selected.' value="' .$tax_name . '">'
                            . $tax->attribute_label . '</option>';
                    }
                }
                ?>
            </select>
         <select     class="wc-enhanced-select attribute_values" multiple="multiple"
                     name="global_product_attribute[]" id="global_product_attribute"
                     data-placeholder="<?php esc_attr_e( 'Search for terms', 'woocommerce' ); ?>" style="width: 20%">

        <?php
        $tax_attribute_ids = get_post_meta( $post->ID, 'global_product_attribute', true ) ;
        $json_ids = array();


        if($tax_attribute_ids) {

            $globals_label = array();

            foreach ($tax_attribute_ids as $item){

                $item_explode = explode('|',$item);
                $json_ids[$item_explode[0]]['label'] = $item_explode[1];
                $json_ids[$item_explode[0]]['values'][] = $item_explode[2];

            }

            $args = array(
                'taxonomy' => $attribute_ids,
                'orderby' => 'name',
                'hide_empty' => 0,
            );
            $all_terms = get_terms($args);

            foreach ($json_ids as $key=>$attr) {

                $name = $key;
                $attribute = $attr['label'];

                echo '<optgroup data-tax="' . $name . '" label="' . $attribute . '">';

                foreach ($all_terms as $tax) {
                    $selected = '';
                    if($tax->taxonomy == $name) {
                        if (isset($json_ids[$name]['values']) && in_array($tax->slug, $json_ids[$name]['values'])) {
                            $selected = 'selected';
                        }
                        echo '<option '.$selected.' id="' . $name . '" ' . $selected . ' value="' . $name . '|' . $attribute . '|' . $tax->slug . '|'. $tax->name .'">'
                            . $tax->name . '</option>';
                    }
                }
                echo '</optgroup>';
            }

        }

        ?>

        </select>

        <?php echo wc_help_tip( "Custome attributes which need to be in the cart to use this coupon" ) ?>
        </span>

    </p>
</div>


<!-- This file should primarily consist of HTML with a little bit of PHP. -->


